package net.sgoliver.android;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class AndroidPrefScreensActivity extends Activity {
   
	private Button btnPreferencias;
	private Button btnObtenerPreferencias;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        btnPreferencias = (Button)findViewById(R.id.BtnPreferencias);
        btnObtenerPreferencias = (Button)findViewById(R.id.BtnObtenerPreferencias);
        
        btnPreferencias.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				startActivity(new Intent(AndroidPrefScreensActivity.this, 
						                 PantallaOpciones.class));
			}
		});
        
        btnObtenerPreferencias.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				SharedPreferences pref =
					PreferenceManager.getDefaultSharedPreferences(
							AndroidPrefScreensActivity.this);
				
				Log.i("", "Opcin 1: " + pref.getBoolean("opcion1", false));
				Log.i("", "Opcin 2: " + pref.getString("opcion2", ""));
				Log.i("", "Opcin 3: " + pref.getString("opcion3", ""));
			}
		});
    }
}